Debian Bug report logs - #370347
Make etc/munin-node.conf automatically configurable

version graph

Package: munin; Maintainer for munin is Munin Debian Maintainers <packaging@munin-monitoring.org>; Source for munin is src:munin.

Reported by: Luk Claes <luk@debian.org>

Date: Sun, 4 Jun 2006 18:34:17 UTC

Severity: wishlist

Fixed in version munin/1.2.5-2

Done: Loic Dachary (OuoU) <loic@debian.org>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, Munin Debian Maintainers <munin-deb-maint@linpro.no>:
Bug#370347; Package munin. Full text and rfc822 format available.

Acknowledgement sent to Luk Claes <luk@debian.org>:
New Bug report received and forwarded. Copy sent to Munin Debian Maintainers <munin-deb-maint@linpro.no>. Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Luk Claes <luk@debian.org>
To: submit@bugs.debian.org
Subject: Make etc/munin-node.conf automatically configurable
Date: Sun, 04 Jun 2006 20:13:53 +0200
[Message part 1 (text/plain, inline)]
Package: munin
Severity: wishlist

Hi

Automatically configuring etc/munin-node.conf is not policy compliant
for the moment as one needs to edit a conffile.

A solution might be to include some file if it exists in the
configuration... or to add a debconf question...

Cheers

Luk

-- 
Luk Claes - http://people.debian.org/~luk - GPG key 1024D/9B7C328D
Fingerprint:   D5AF 25FB 316B 53BB 08E7   F999 E544 DE07 9B7C 328D


[signature.asc (application/pgp-signature, inline)]
[signature.asc (application/pgp-signature, attachment)]

Blocking bugs added: 370319, 370324, 370332, 370337, 370338, 370339, 370340, 370342, 370343, 370344, 370346, 370347, 370348, 370349, 370350, and 370351 Request was from Luk Claes <luk@debian.org> to control@bugs.debian.org. Full text and rfc822 format available.

Blocking bugs removed: 370319, 370324, 370332, 370337, 370338, 370339, 370340, 370342, 370343, 370344, 370346, 370347, 370348, 370349, 370350, 370351, and 370393 Request was from Luk Claes <luk@debian.org> to control@bugs.debian.org. Full text and rfc822 format available.

Blocking bugs added: 370319, 370324, 370332, 370337, 370338, 370339, 370340, 370342, 370343, 370344, 370346, 370347, 370348, 370349, 370350, 370351, and 370393 Request was from Luk Claes <luk@debian.org> to control@bugs.debian.org. Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, Munin Debian Maintainers <munin-deb-maint@linpro.no>:
Bug#370347; Package munin. Full text and rfc822 format available.

Acknowledgement sent to 370347@bugs.debian.org:
Extra info received and forwarded to list. Copy sent to Munin Debian Maintainers <munin-deb-maint@linpro.no>. Full text and rfc822 format available.

Message #16 received at 370347@bugs.debian.org (full text, mbox):

From: Tore Anderson <tore@debian.org>
To: Luk Claes <luk@debian.org>, 370347@bugs.debian.org
Subject: Re: Bug#370347: Make etc/munin-node.conf automatically configurable
Date: Sat, 14 Oct 2006 21:52:27 +0200
* Luk Claes

> Automatically configuring etc/munin-node.conf is not policy compliant
> for the moment as one needs to edit a conffile.
> 
> A solution might be to include some file if it exists in the
> configuration... or to add a debconf question...

  Hi Luk, and apologies for answering so late.  It has recently dawned
 on me that Etch is drawing near and that I need to start working on my
 packages again now if I am to make the freeze.  :-)

  Anyway, I'm not really sure how to respond to this bug.  I kinda like
 the fact that munin-node.conf is a conffile.  Personally I have a
 strong preference that packages should just shut up and work out of the
 box, and that Debconf is overused - way too many packages asking all
 sorts of questions that have perfectly reasonable defaults, a trend
 that is futher aggravated when sloppy maintainers use end up using
 Debconf as some carte blanche to nuke user configuration.  Boy do I
 hate seeing a comment à la «this file is maintained by debconf» in my
 configuration files.

  Sorry, that turned into a rant, but as you probably understand I'm
 reluctant to deprive munin-node.conf of its conffile status, and even
 more reluctant to introduce Debconf scripts to generate it dynamically.
 Before doing so I want to have a very good reason.  That said, I'd like
 to help you see your problem solved, but I'm not really sure what it
 is, exactly.  So a few questions:

  Do you believe the default configuration file is sub-optimal in any
 way?  If so, what should be changed, in your opinion?

  If not (what you're trying to do would make sense only in Debian-
 Edu?), what exactly are you trying to do?  You mention the possibility
 of adding a Debconf question, but you do not say what the question
 should be about.  If I knew, maybe I could come up with another way to
 cater for your needs without making munin-node.conf a non-conffile or
 introducing Debconf scripts.

  Oh and by the way, the munin-node.conf format is dictated by
 Net::Server, so support for an eventual «include» configuration
 directive has to be added there, not in Munin itself.

Cheers
-- 
Tore Anderson




Information forwarded to debian-bugs-dist@lists.debian.org, Munin Debian Maintainers <munin-deb-maint@linpro.no>:
Bug#370347; Package munin. Full text and rfc822 format available.

Acknowledgement sent to Luk Claes <luk@debian.org>:
Extra info received and forwarded to list. Copy sent to Munin Debian Maintainers <munin-deb-maint@linpro.no>. Full text and rfc822 format available.

Message #21 received at 370347@bugs.debian.org (full text, mbox):

From: Luk Claes <luk@debian.org>
To: 370347@bugs.debian.org
Subject: Re: Bug#370347: Make etc/munin-node.conf automatically configurable
Date: Sun, 15 Oct 2006 15:45:25 +0200
Tore Anderson wrote:
> * Luk Claes
> 
>> Automatically configuring etc/munin-node.conf is not policy compliant
>> for the moment as one needs to edit a conffile.
>>
>> A solution might be to include some file if it exists in the
>> configuration... or to add a debconf question...
[...]
>   Do you believe the default configuration file is sub-optimal in any
>  way?  If so, what should be changed, in your opinion?

No, the default configuration is good, though it's only a default...

>   If not (what you're trying to do would make sense only in Debian-
>  Edu?), what exactly are you trying to do?  You mention the possibility
>  of adding a Debconf question, but you do not say what the question
>  should be about.  If I knew, maybe I could come up with another way to
>  cater for your needs without making munin-node.conf a non-conffile or
>  introducing Debconf scripts.

In Debian-Edu one wants to add a line 'allow ^10\.0\.2\.2$'

Cheers

Luk

-- 
Luk Claes - http://people.debian.org/~luk - GPG key 1024D/9B7C328D
Fingerprint:   D5AF 25FB 316B 53BB 08E7   F999 E544 DE07 9B7C 328D



Information forwarded to debian-bugs-dist@lists.debian.org, Munin Debian Maintainers <munin-deb-maint@linpro.no>:
Bug#370347; Package munin. Full text and rfc822 format available.

Acknowledgement sent to 370347@bugs.debian.org:
Extra info received and forwarded to list. Copy sent to Munin Debian Maintainers <munin-deb-maint@linpro.no>. Full text and rfc822 format available.

Message #26 received at 370347@bugs.debian.org (full text, mbox):

From: Tore Anderson <tore@debian.org>
To: Luk Claes <luk@debian.org>, 370347@bugs.debian.org
Subject: Re: Bug#370347: Make etc/munin-node.conf automatically configurable
Date: Sun, 15 Oct 2006 19:47:48 +0200
* Luk Claes

> In Debian-Edu one wants to add a line 'allow ^10\.0\.2\.2$'

  I see.  Well, that certainly doesn't belong in the default
 configuration file.  I have a suggestion, though.  What if I add the
 following code (or something similar) to /etc/init.d/munin-node:

--- munin-node.init     (revision 1134)
+++ munin-node.init     (working copy)
@@ -43,6 +43,7 @@
 }
 
 . /lib/lsb/init-functions
+[ -r /etc/default/munin-node ] && . /etc/default/munin-node
 
 if [ ! -x $DAEMON ]; then
        log_failure_msg "Munin-Node appears to be uninstalled."
@@ -86,7 +87,7 @@
                log_end_msg 0
                exit 0
        fi
-       start_daemon -p $PIDFILE $DAEMON
+       start_daemon -p $PIDFILE $DAEMON $DAEMON_ARGS
        ret=$?
        # start_daemon() isn't thorough enough, ensure the daemon has been
        # started manually

  Then your package could include the file /etc/default/munin-node,
 containing «DAEMON_ARGS="--config /etc/debian-edu/munin-node.conf"».
 This file could be shipped as a conffile, or you could copy the
 default munin-node.conf in the postinst and apply your changes to the
 copy.  Does this sound like an acceptable solution to you?

Regards
-- 
Tore Anderson




Information forwarded to debian-bugs-dist@lists.debian.org, Munin Debian Maintainers <munin-deb-maint@linpro.no>:
Bug#370347; Package munin. Full text and rfc822 format available.

Acknowledgement sent to Patrick Winnertz <patrick.winnertz@skolelinux.org>:
Extra info received and forwarded to list. Copy sent to Munin Debian Maintainers <munin-deb-maint@linpro.no>.

Your message did not contain a Subject field. They are recommended and useful because the title of a Bug is determined using this field. Please remember to include a Subject field in your messages in future.

Full text and rfc822 format available.


Message #31 received at 370347@bugs.debian.org (full text, mbox):

From: Patrick Winnertz <patrick.winnertz@skolelinux.org>
To: 370347@bugs.debian.org
Date: Wed, 1 Aug 2007 21:18:45 +0200
Yes introducing this fix would help us i think.

Then we could provide /etc/default/munin-node and we could start it then 
with --config /path/to/our/conffile. 
The last remaining issue is then, that we have to conflict against every 
package which ship also this file... but I hope that this won't do many 
packages.

Greetings
Winnie

-- 
 .''`.   Patrick Winnertz <patrick.winnertz@skolelinux.org>
:  :' :  GNU/Linux Debian-Edu Developer
`. `'`   http://www.der-winnie.de http://d.skolelinux.org/~winnie
  `-  Debian - when you have better things to do than fixing systems



Reply sent to Loic Dachary (OuoU) <loic@debian.org>:
You have taken responsibility. Full text and rfc822 format available.

Notification sent to Luk Claes <luk@debian.org>:
Bug acknowledged by developer. Full text and rfc822 format available.

Message #36 received at 370347-close@bugs.debian.org (full text, mbox):

From: Loic Dachary (OuoU) <loic@debian.org>
To: 370347-close@bugs.debian.org
Subject: Bug#370347: fixed in munin 1.2.5-2
Date: Tue, 07 Aug 2007 15:47:03 +0000
Source: munin
Source-Version: 1.2.5-2

We believe that the bug you reported is fixed in the latest version of
munin, which is due to be installed in the Debian FTP archive:

munin-node_1.2.5-2_all.deb
  to pool/main/m/munin/munin-node_1.2.5-2_all.deb
munin_1.2.5-2.diff.gz
  to pool/main/m/munin/munin_1.2.5-2.diff.gz
munin_1.2.5-2.dsc
  to pool/main/m/munin/munin_1.2.5-2.dsc
munin_1.2.5-2_all.deb
  to pool/main/m/munin/munin_1.2.5-2_all.deb



A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 370347@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
Loic Dachary (OuoU) <loic@debian.org> (supplier of updated munin package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@debian.org)


-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA1

Format: 1.7
Date: Tue, 07 Aug 2007 14:54:11 +0000
Source: munin
Binary: munin-plugins-contrib munin-node munin
Architecture: source all
Version: 1.2.5-2
Distribution: unstable
Urgency: low
Maintainer: Munin Debian Maintainers <munin-deb-maint@linpro.no>
Changed-By: Loic Dachary (OuoU) <loic@debian.org>
Description: 
 munin      - network-wide graphing framework (grapher/gatherer)
 munin-node - network-wide graphing framework (node)
Closes: 370347
Changes: 
 munin (1.2.5-2) unstable; urgency=low
 .
   * apply patch that reads the default file, closes: #370347
 .
   * control: add Loic Dachary (OuoU) <loic@debian.org> to Uploaders
 .
   * control: standard version 3.7.2
Files: 
 505f7b762dcaf6df54663e1686889040 768 net optional munin_1.2.5-2.dsc
 cca3d32e573f33606364783e18dfa5ff 22399 net optional munin_1.2.5-2.diff.gz
 2d2bae39b531dc01dad686ae23fcfc09 606002 net optional munin_1.2.5-2_all.deb
 307f47882b9c10400b287ce9dff73b87 626396 net optional munin-node_1.2.5-2_all.deb

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.6 (GNU/Linux)

iD8DBQFGuJFp8dLMyEl6F20RAibZAJ9y6/k0OsRK1lKhvaQzvemsA+/f6gCgna/T
WkCOEW4WhNE2lMt9P8L4lQw=
=sy38
-----END PGP SIGNATURE-----




Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Wed, 19 Sep 2007 07:34:21 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Thu Apr 17 16:10:34 2014; Machine Name: beach.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.